Skip to main content
GET
/
ibans
/
{id}
Get IBAN
curl --request GET \
  --url https://api.otim.com/v0/ibans/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "iban_01JA1B2C3D4E5F6G7H8J9K0L",
  "entityId": "ent_01JA1B2C3D4E5F6G7H8J9K0L",
  "accountId": "acc_01JA1B2C3D4E5F6G7H8J9K0L",
  "iban": "GB29 NWBK 6016 1331 9268 19",
  "bic": "NWBKGB2L",
  "bankName": "Otim Financial Services",
  "currency": "EUR",
  "status": "active",
  "createdAt": "2025-01-15T12:00:00Z"
}

Authorizations

Authorization
string
header
required

API key prefixed with sk_.

Path Parameters

id
string
required

The ID of the IBAN.

Response

IBAN details.

id
string
Example:

"iban_01JA1B2C3D4E5F6G7H8J9K0L"

entityId
string
Example:

"ent_01JA1B2C3D4E5F6G7H8J9K0L"

accountId
string
Example:

"acc_01JA1B2C3D4E5F6G7H8J9K0L"

iban
string
Example:

"GB29 NWBK 6016 1331 9268 19"

bic
string
Example:

"NWBKGB2L"

bankName
string
Example:

"Otim Financial Services"

currency
string

The fiat currency this IBAN accepts.

Example:

"EUR"

status
enum<string>
Available options:
active,
inactive
Example:

"active"

createdAt
string<date-time>
Example:

"2025-01-15T12:00:00Z"